Big error on official BHIM mobile app FAQ page

Cashless

Prime Minister Narendra Modi announced the launch of BHIM app today. However, when we scanned through the official BHIM app FAQ page, we came across a big error that states Android version 8 as minimum requirement.

To find out the error, you need to jump to 4th FAQ. If you expand it, you will view the following message

Bharat Interface for Money app is currently available on Android (Version 8 and above) and iOS mobiles (Version 5 and above). We will be making our app available on other platforms very soon.

To confirm this matter, we have given the screenshot below

bhim-app

As of this writing, the Android version is 7.0. However, many people are still not yet used to even Android 6.0 Marshmallow. The Android market is still infused with Lollipop. Regarding iOS, the latest version is 10 although 8 and 9 still exist. If you use any iOS version lower than 9, you are at a huge security risk.

DONT MISS  Ruckus at Xiaomi Mi Max Launch Event on June 30 as Delhi Police arrived at tech event

Anand Narayanaswamy is the editor-in-chief of Netans. He was recognized as a Microsoft Most Valuable Professional (MVP) for 9 years (2002 to 2011) and currently part of MVP Reconnect program. He is also part of the prestigious ASPInsider program. Anand has published several articles and reviews related to various software and hardware products for various software and technology related websites. He is also active on social media and also participates as an Influencer for various brands. Anand can be reached at admin@netans.com